gr-baz Package

baz_unpacked_to_packed_bb Class Reference

Convert a stream of unpacked bytes or shorts into a stream of packed bytes or shorts. More...

`#include <baz_unpacked_to_packed_bb.h>`

Inheritance diagram for baz_unpacked_to_packed_bb:
[legend]

## Public Member Functions
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
bool | check_topology (int ninputs, int noutputs)

## Friends
BAZ_API baz_unpacked_to_packed_bb_sptr | baz_make_unpacked_to_packed_bb (unsigned int bits_per_chunk, unsigned int bits_into_output, int endianness=gr::GR_MSB_FIRST)

## Detailed Description

Convert a stream of unpacked bytes or shorts into a stream of packed bytes or shorts.

input: stream of unsigned char; output: stream of unsigned char

This is the inverse of gr_packed_to_unpacked_XX.

The low `bits_per_chunk` bits are extracted from each input byte or short. These bits are then packed densely into the output bytes or shorts, such that all 8 or 16 bits of the output bytes or shorts are filled with valid input bits. The right thing is done if bits_per_chunk is not a power of two.

The combination of gr_packed_to_unpacked_XX followed by gr_chunks_to_symbols_Xf or gr_chunks_to_symbols_Xc handles the general case of mapping from a stream of bytes or shorts into arbitrary float or complex symbols.

See also
  gr_packed_to_unpacked_bb, gr_unpacked_to_packed_bb,
  gr_packed_to_unpacked_ss, gr_unpacked_to_packed_ss,
  gr_chunks_to_symbols_bf, gr_chunks_to_symbols_bc.
  gr_chunks_to_symbols_sf, gr_chunks_to_symbols_sc.

## Member Function Documentation

## ◆ check_topology()

bool baz_unpacked_to_packed_bb::check_topology | ( | int | ninputs,
|  | int | noutputs )
| inline

## ◆ forecast()

void baz_unpacked_to_packed_bb::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## ◆ general_work()

int baz_unpacked_to_packed_bb::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## ◆ baz_make_unpacked_to_packed_bb

BAZ_API baz_unpacked_to_packed_bb_sptr baz_make_unpacked_to_packed_bb | ( | unsigned int | bits_per_chunk,
|  | unsigned int | bits_into_output,
|  | int | endianness = gr::GR_MSB_FIRST )
| friend

The documentation for this class was generated from the following file:

- baz_unpacked_to_packed_bb.h